Bug 182489 - VMWare Tools Failed to Compile
VMWare Tools Failed to Compile
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-22 16:04 EST by Granville Xiong
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-23 22:09:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Granville Xiong 2006-02-22 16:04:24 EST
Description of problem:

After I installed FC5Test3 on my VMware 5.5.0 build-18463, I ran
vmware-config-tools.pl to configure vmware tools. But it gaves the following
error messages:

[root@localhost ~]# vmware-config-tools.pl

Stopping VMware Tools services in the virtual machine:
   Guest operating system daemon:                          [  OK  ]
Trying to find a suitable vmhgfs module for your running kernel.

None of the pre-built vmhgfs modules for VMware Tools is suitable for your
running kernel.  Do you want this program to try to build the vmhgfs module for
your system (you need to have a C compiler installed on your system)? [yes]

Using compiler "/usr/bin/gcc". Use environment variable CC to override.

In file included from <stdin>:2:
/lib/modules/2.6.15-1.1955_FC5/build/include/asm/page.h:71:23: error:
mach_page.h: No such file or directory
What is the location of the directory of C header files that match your running
kernel? [/usr/src/linux/include]

Then the process failed.

Version-Release number of selected component (if applicable):

kernel-devel-2.6.15-1.1955_FC5

How reproducible:

Everytime

Steps to Reproduce:
1. Install Fedora Core 5 Test 3 in VMware.
2. Run vmware-config-tools.pl
3. Compiling kernel module failed!
  
Actual results:


Expected results:


Additional info:
Comment 1 Dave Jones 2006-02-23 22:09:17 EST
vmware's problem.

Note You need to log in before you can comment on or make changes to this bug.